Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 966415 - [Admin Portal] changing os type switches usb_policy to disabled
Summary: [Admin Portal] changing os type switches usb_policy to disabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-23 09:00 UTC by Jiri Belka
Modified: 2015-09-22 13:09 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:25:25 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
engine.log + network dump from IE Dev Tools (deleted)
2013-05-23 09:00 UTC, Jiri Belka
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23863 None ABANDONED frontend: try not to change usb policy on os change Never
oVirt gerrit 27045 master MERGED userportal,webadmin: keep proper USB support selection Never
oVirt gerrit 33480 ovirt-engine-3.4 MERGED userportal,webadmin: keep proper USB support selection Never

Description Jiri Belka 2013-05-23 09:00:51 UTC
Created attachment 752049 [details]
engine.log + network dump from IE Dev Tools

Description of problem:
changing os type switches usb_policy to disabled = When changing Windows 7 (32bit) VM with USB policy as 'Native' to Windows 7 64bit, the USB policy is automatically switched to 'Disabled'.

engine=> select vm_name,os,usb_policy from vm_static where vm_name='wintest';
 vm_name | os | usb_policy 
---------+----+------------
 wintest | 11 |          2
(1 row)

* after switching os type

engine=> select vm_name,os,usb_policy from vm_static where vm_name='wintest';
 vm_name | os | usb_policy 
---------+----+------------
 wintest | 12 |          1
(1 row)


Version-Release number of selected component (if applicable):
sf17.1

How reproducible:
100%

Steps to Reproduce:
1. create win 7 32bit vm with usb policy 'native'
2. change os type to win 7 64bit
3. check usb policy

Actual results:
usb policy is modified without human intervention

Expected results:
should keep settings and change only os type

Additional info:

Comment 1 Jiri Belka 2013-05-23 09:04:11 UTC
3.1 (si28.1) has same issue, thus this is not regression.

Comment 2 Itamar Heim 2013-12-08 07:19:26 UTC
still relevant with new osinfo?

Comment 3 Arik 2013-12-08 15:01:58 UTC
(In reply to Itamar Heim from comment #2)
> still relevant with new osinfo?

yes
the UI still set the usb support to Disabled every time the OS selection is changed (it's an issue with the UI)

Comment 4 Michal Skrivanek 2014-03-31 08:20:43 UTC
supposedly addressed by instance type changes scheduled for 3.5
Tomas, please check the behavior when changing OS…it should not alter the selection as long as it is still supported

Comment 5 Tomas Jelinek 2014-03-31 08:24:32 UTC
> supposedly addressed by instance type changes scheduled for 3.5

only if the instance type is not "custom"

Comment 6 Jiri Belka 2014-07-29 14:31:30 UTC
ok. looks good ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch (of course switching to vnc-based os types like w8 disables it in UI).

Comment 7 Omer Frenkel 2015-02-17 08:25:25 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.